--- couchdb-1.0.0/src/couchdb/priv/couch_js/http.c	2010-06-15 12:27:22.000000000 -0400
+++ couchdb-1.0.0.new/src/couchdb/priv/couch_js/http.c	2010-08-02 01:27:14.000000000 -0400
@@ -470,7 +470,7 @@ go(JSContext* cx, JSObject* obj, HTTPDat
     
     if(!state.resp_headers)
     {
-        JS_ReportError(cx, "Failed to recieve HTTP headers.");
+        JS_ReportError(cx, "Failed to receive HTTP headers.");
         goto done;
     }
 
